extends AnimationPlayer

func pop_in():
	play_backwards("out-in")
	$"../../../Audio/Gui-in".play()
	get_parent().show()

func pop_out():
	play("out-in")
	$"../../../Audio/Gui-out".play()
	await animation_finished
	get_parent().hide()
